AwkStreamInput (Jakarta-ORO 2.0.8 API)
Date: 2016-03-09

org.apache.oro.text.awk

## Class AwkStreamInput

- java.lang.Object
- - org.apache.oro.text.awk.AwkStreamInput

-     public final class AwkStreamInput
      extends java.lang.Object

  The AwkStreamInput class is used to look for pattern matches in an input stream (actually a java.io.Reader instance) in conjunction with the AwkMatcher class. It is called AwkStreamInput instead of AwkInputStream to stress that it is a form of streamed input for the AwkMatcher class to use rather than a subclass of InputStream. AwkStreamInput performs special internal buffering to accelerate pattern searches through a stream. You can determine the size of this buffer and how it grows by using the appropriate constructor.

  If you want to perform line by line matches on an input stream, you should use a DataInput or BufferedReader instance in conjunction with one of the PatternMatcher methods taking a String, char[], or PatternMatcherInput as an argument. The DataInput and BufferedReader readLine() methods will likely be implemented as native methods and therefore more efficient than supporting line by line searching within AwkStreamInput.

  In the future the programmer will be able to set this class to save all the input it sees so that it can be accessed later. This will avoid having to read a stream more than once for whatever reason.

  Since:
    1.0
  Version:
    2.0.8
  See Also:
    `AwkMatcher`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AwkStreamInput(java.io.Reader input)` Creates an AwkStreamInput instance bound to a Reader with an initial buffer size and default buffer increment of 2048 bytes.
    `AwkStreamInput(java.io.Reader input, int bufferIncrement)` Creates an AwkStreamInput instance bound to a Reader with a specified initial buffer size and default buffer increment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `endOfStream()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AwkStreamInput

          public AwkStreamInput(java.io.Reader input,
                        int bufferIncrement)

      Creates an AwkStreamInput instance bound to a Reader with a specified initial buffer size and default buffer increment.

      Parameters:
        `input` - The InputStream to associate with the AwkStreamInput instance.
        `bufferIncrement` - The initial buffer size and the default buffer increment to use when the input buffer has to be increased in size.

    - #### AwkStreamInput

          public AwkStreamInput(java.io.Reader input)

      Creates an AwkStreamInput instance bound to a Reader with an initial buffer size and default buffer increment of 2048 bytes.

      Parameters:
        `input` - The InputStream to associate with the AwkStreamInput instance.

  - ### Method Detail

    - #### endOfStream

          public boolean endOfStream()

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.